Contents
Index 🔎︎

# IsObject Function

Tests if a variable is an object, as opposed to primitive data types such as dates, numbers, texts. The function returns True if the variable is an object, otherwise it returns False.

## Syntax:

    IsObject(var)

## Return value:

Boolean

## Parameters:

var: Any variable that you want to test.

### Error codes:

5 Invalid procedure call

The following objects return True:

- OLE objects or UNO objects

- Class module object instances

- Extended types or enumerations

- Routines or variables when defined as Object.

- LibreOffice Basic modules

Data structures return True even when empty. Object defined variables return True even if uninitialized.

Related Topics

Enum statement

Option ClassModule Statement

Type statement

Using variables